Old Ubuntu

Ubuntu

  • Ubuntu 6.06

    • See Tomasz Korwel's guide.
  • Ubuntu (Hoary 5.10)

    • Permissions

      • USB needs root ( e.g. sudo /opt/owfs/bin/owserver -u -p 3000 )
    • Include the following packages

      • automake
      • autoconf
      • autotools-dev
      • gcc
      • g++
    • Need to install directly:

    • for USB

      • libusb-dev -- needed for USB support
    • for owfs

      • install fuse-utils
      • install libfuse-dev
      • ./configure && make && sudo make install
      • Note: from the Fuse FAQ execute once:

        • sudo chmod 4755 /usr/bin/fusermount
        • This make fusemount suid root which could be a security concern
    • for C

      • ./configure --enable-owcapi && make && sudo make install
    • for perl

      • install swig
      • ./configure --disable-owpython && make && sudo make install
    • for python

      • install swig
      • install python2.4-dev
      • ./configure && make && sudo make install
    • for php

      • install swig
      • install php5-dev
      • ./configure --enable-owphp && make && sudo make install


Previous page: Ubuntu setup
Next page: Building under Ubuntu